Selfcompiled QGIS 2.12 segfaults on startup on Ubuntu 14.04

2015-11-18 01:28 AM - Stefan Blumentrath

Status: Closed

Priority: Severe/Regression

Assignee:

Category:

Affected QGIS version:2.12.0 Regression?: No

Operating System: Ubuntu Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:Yes Copied to github as #: 21873

Description

After compiling QGIS 2.12 release branch from source on Ubuntu 14.04, QGIS segfaults at startup.

Others seem to be hit by the same issue too, see:

https://lists.osgeo.org/pipermail/qgis-user/2015-October/034109.html

History

#1 - 2015-11-18 04:02 AM - Stefan Blumentrath

Tried also 2.10, which gives the same behavior.

Master did not build:

Compiling /data/src/QGIS_dev/qgis-dev/output/python/PyQt/QtPrintSupport.py ...

  File "/data/src/QGIS_dev/qgis-dev/output/python/PyQt/QtPrintSupport.py", line 3

    QPageSetupDialog

                   ^

SyntaxError: invalid syntax

Maybe an Ubuntu issue, since non of the tested branches build?

#2 - 2015-11-29 04:34 AM - Stefan Blumentrath

- Status changed from Open to Closed

This was an issue of the Linux kernel shipped with Ubuntu 14.04 LTS at the time of issue creation. After kernel update (and rebuild) QGIS works again...
